unit IMPORT_u;
interface
uses
  u,
  Variants,
  PaxCompiler,
  PaxRegister;
procedure RegisterIMPORT_u;
implementation
procedure RegisterIMPORT_u;
var G, H: Integer;
begin
  H := RegisterNamespace(0, 'u');
  // Begin of class TMyClass
  G := RegisterClassType(H, TMyClass);
  RegisterHeader(G, 
       'procedure Proc(X, Y: Integer);',
       @TMyClass.Proc);
  RegisterHeader(G,
       'constructor Create;',
       @TMyClass.Create);
  // End of class TMyClass
  RegisterHeader(H, 'procedure P;', @P);
  RegisterVariable(H, 'I: Integer;',@I);
end;
initialization
  RegisterIMPORT_u;
end.
